source {{ global_zsh_antigen_source | quote }};

antigen use oh-my-zsh

antigen theme {{ zsh_theme | quote }}

MAGIC_ENTER_GIT_COMMAND='git status -u .'
MAGIC_ENTER_OTHER_COMMAND='ls -lh .'

ZSH_TMUX_AUTOSTART=true
ZSH_TMUX_AUTOCONNECT=true
ZSH_TMUX_AUTOQUIT=true

# quit bugging me!
DISABLE_AUTO_UPDATE="true"
DISABLE_LS_COLORS="true" # To remove alias "ls=ls --color=tty" by oh-my-zsh for exa alias

antigen bundles <<EOBUNDLES
  # oh-my-zsh plugins
  colored-man-pages
  colorize
  command-not-found
  common-aliases
  debian
  emoji-clock
  git
  httpie
  lol
  magic-enter
  man
  systemd
  thefuck
  themes
  tmux
  ufw
EOBUNDLES

antigen apply

export ANSIBLE_NOCOWS=1

# Disable flow control
stty -ixon

# aptitude custom
alias api="sudo aptitude"
alias ati="sudo aptitude install"
alias atr="sudo aptitude remove"
alias up='sudo aptitude update ; sudo aptitude safe-upgrade'

function fork() {
  "$@" >/dev/null 2>&1 &!;
}
